Subject: bug#7004: In fullscreen mode, the echo area takes too much vertical space

From: Jan Djärv <[email-masked]>
Date: Mon, 05 Sep 2011 19:51:57 +0200

Dani Moncayo skrev 2011-09-05 12:32:
> Hi Jan,
>
> The problem reported in this thread is a minor one, of course, but a
> related problem is a bit annoying:
>
> When I maximize my Emacs frame (on Windows), after a while (switching
> between applications) it ends up a bit resized, so that the spare
> space is removed at the expense of having a not-totally-maximized
> frame.
>
> I propose the following to resolve this problem and the original one:
> When a frame is maximized (or fullscreen), distribute the spare space
> evenly among the top/bottom and left/right side.
>
> WDYT?
>

It is easy to say but very hard to do.  You need to modify Emacs 
redisplay/window code and also each of the ports (X11, Xt, Gtk+, NS, Windows) 
have code for this that needs to be modified.
What happens on Windows is nothing I know about.

The solution must be to add something that takes up slack that isn't an Emacs 
window.  On OSX Lion this happens automatically when Emacs is fullscreen (in 
my own modified version).  A black strip appears under the toolbar.

But we are in feature freeze, so this is nothing I think about.

	Jan D.